### Hierarchy

- ColorItem

## Index

### Constructors

- constructor

### Properties

- alpha
- blue
- colorCode
- green
- namedColor
- red

### Methods

- toString
- withAlphaPercent

## Constructors

### constructor

- new ColorItem(red: number, green: number, blue: number, alpha?: number): ColorItem
- new ColorItem(colorCode: string, namedColor?: string): ColorItem

- - Defined in src/core/Colors.ts:10

  #### Parameters

  - ##### red: number

  - ##### green: number

  - ##### blue: number

  - ##### Optional alpha: number

  #### Returns ColorItem

- - Defined in src/core/Colors.ts:12

  #### Parameters

  - ##### colorCode: string

    HEX or RGBA code

  - ##### Optional namedColor: string

    name of color

  #### Returns ColorItem

## Properties

### alpha

alpha: number

- Defined in src/core/Colors.ts:7

### blue

blue: number

- Defined in src/core/Colors.ts:6

### colorCode

colorCode: string

- Defined in src/core/Colors.ts:9

### green

green: number

- Defined in src/core/Colors.ts:5

### namedColor

namedColor: string

- Defined in src/core/Colors.ts:10

### red

red: number

- Defined in src/core/Colors.ts:4

## Methods

### toString

- toString(): string

- - Defined in src/core/Colors.ts:41

  #### Returns string

### withAlphaPercent

- withAlphaPercent(a: number): ColorItem

- - Defined in src/core/Colors.ts:45

  #### Parameters

  - ##### a: number

  #### Returns ColorItem

Generated using TypeDoc